#
# spec file for package tmate
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tmate
Version:        2.2.1
Release:        lp150.1.5
Summary:        Instant terminal sharing
License:        MIT
Group:          Productivity/Networking/Other
Url:            https://www.tmate.io
Source:         https://github.com/tmate-io/tmate/archive/%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libevent-devel
BuildRequires:  libmsgpack-devel >= 1.1.0
BuildRequires:  libmsgpackc-devel >= 1.1.0
BuildRequires:  libopenssl-devel
BuildRequires:  libssh-devel >= 0.6.1
BuildRequires:  ncurses-devel
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tmate is a fork of tmux providing an instant pairing solution.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
./autogen.sh
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%doc CHANGES FAQ README-tmux README.md
%{_bindir}/tmate
%{_mandir}/man1/tmate.1*

%changelog
* Wed Mar 30 2016 asn@cryptomilk.org
- Update to 2.2.1
  * Reconnection implemented
  * Bug fixes in synchronizing the key bindings
  * webhooks support added: https://github.com/tmate-io/tmate/wiki/Webhooks
* Thu Mar  3 2016 asn@cryptomilk.org
- At least msgpack 1.1.0 is requried
* Thu Mar  3 2016 dmacvicar@suse.de
- Update to 2.2.0
- add libmsgpack-devel as tmate links to it
  libmsgpackc-devel is used for the pure C header
- Drop tmate-1.8.9-system_libs.patch
  tmate now uses system libs by default
* Tue Feb 11 2014 asn@cryptomilk.org
- Build with system msgpack.
* Mon Feb 10 2014 asn@cryptomilk.org
- Build with system libssh.
* Sat Nov 23 2013 asn@cryptomilk.org
- Initial package
